Trying to install on ubuntu 20.04 but get this error: install_unix_legacy: not found

61 views (last 30 days)
Ben Watkinson
Ben Watkinson on 25 Oct 2021
Edited: Smile Smile on 24 May 2022
Hi,
I am trying to install Matlab on ubuntu 20.04 running on a raspberry pi 4. I have double checked and the OS is definitely 64bit as i know 32 bit operating systems are not supported. whenever i try to run the install script i get this error:
./install: 1: exec: /home/ubuntu/install_matlab/matlab_2021b_installer/bin/unknown/install_unix_legacy: not found
i have tried 2020b and 2021b but i get the same error with both versions of matlab
i have tried several different methods to unzip the installation folder but no matter what i do i get the same error message. i have tried everything from this matlab answers quetion but nothing works: https://uk.mathworks.com/matlabcentral/answers/176228-error-message-install_unix-not-found
let me know if you need anymore information from me
Many Thanks
Ben

Answers (1)

Kumar Pallav
Kumar Pallav on 28 Oct 2021
Hi,
The system requirements for installing MATLAB 2020b requires any Intel or AMD x86-64 processor (Raspberry pi uses ARM cortex processor). Also, the minimum RAM requirement is 4GB. Refer this document for release 2020b system requirements. Refer this for all previous releases system requirements.
Hope this helps!

Products


Release

R2021b

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by